v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/kits/generate
Generates kits. Rights: DesignerKitListPost. This API contains additional attributes added in the request body for barcode implementation.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
description: string
Minimum Length:
0Maximum Length:2000Description of kit.Example:Some description of kit -
kitNumberStart(required): integer
(int64)
Minimum Value:
1Maximum Value:99999999Kit number start value.Example:5 -
kitTypes(required): array
kitTypes
Minimum Number of Items:
1Maximum Number of Items:2147483647 -
sequenceNumberStart(required): integer
(int64)
Minimum Value:
1Maximum Value:99999999Sequence number start.Example:5 -
title(required): string
Minimum Length:
1Maximum Length:64Title of kit.Example:Comparative Cream--B -
useKitNumberForBarcode: boolean
Use kit number for barcode.Example:
true -
useRandomNumberForBarcode: boolean
Use random number for barcode.Example:
true
Nested Schema : kitTypes
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
Show Source
2147483647-
Array of:
object KitTypeQuantityTO
Title:
KitTypeQuantityTOKit quantity object.
Nested Schema : KitTypeQuantityTO
Type:
objectTitle:
KitTypeQuantityTOKit quantity object.
Show Source
-
kitTypeId(required): string
(uuid)
Title:
kitTypeIdKit type ID. -
kitTypeVersionStart: string
(date-time)
Title:
kitTypeVersionStartKit type version start. -
quantity(required): integer
(int64)
Title:
quantityMinimum Value:1Maximum Value:500000Kit quantity.Example:5
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : GenerateKitsResponse
Type:
objectTitle:
GenerateKitsResponseResponse object for kit generation.
Show Source
-
inventorySourceId: string
Title:
Inventory Source IDUnique ID of the inventory source.Example:B1B8327AFAA6412287106192AB5984EF -
noOfKitsGenerated: integer
(int64)
Title:
Number of Kits GeneratedNumber of kits generated.Example:10
400 Response
The Title has already been used OR Invalid kit type OR The maximum number of rows requested shall not exceed 500000 OR Some numbers in this list are used in another kit list. Adjust the first kit or sequence number so that the values don't overlap with existing numbers. OR 1 or more sequence numbers already exist OR 1 or more kit numbers already exist OR The CSV might contain duplicate kit number(s) or sequence number(s).
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object